param (
    $serverIP = (Read-Host "Server IP"),
    $username = (Read-Host "ShoreTel IM Username"),
    $pass = (Read-Host "ShoreTel Pass/AD Pass"),
    $domain = (Read-Host "IM Domain"),
    $msgBody = (Read-Host "Message to send")
    )


$userJID = $username + "@" + $domain
$roomJID = "room-" + $username + "@" + $serverIP + "." + $domain

$arrTo = @()
$arrTo += ("user1" + "@" + $domain )
$arrTo += ("user2" + "@" + $domain)

$agsXMPP = "c:\Programming\Operations\PowerShell\PoshXMPP\agsXMPP.dll"
    
Add-Type -LiteralPath $agsXMPP

Write-Output ("User JID: " + $userJID)
Write-Output ("Room JID: " + $roomJID)

$xmpp = New-Object agsXMPP.XmppClientConnection($serverIP)
$xmpp.Open($username, $pass)

Start-Sleep 5

$muc = New-Object agsXMPP.protocol.x.muc.MucManager($xmpp)
$muc.CreateReservedRoom($roomJID)

Start-Sleep 5

$muc.JoinRoom($roomJID, $userJID)

Start-Sleep 3

foreach($jid in $arrTo)
{
    $muc.Invite($jid, $roomJID)
}

Start-Sleep 5

$msg = New-Object agsXMPP.Protocol.Client.Message($roomJID, [agsXMPP.protocol.client.MessageType]::groupchat, $msgBody)
$xmpp.Send($msg)